com.holonplatform.datastore.jdbc.spring

## Class JdbcDatastoreConfigProperties.JdbcDatastoreConfigPropertiesImpl

- java.lang.Object
- - com.holonplatform.core.internal.config.DefaultConfigPropertySet
  - - com.holonplatform.datastore.jdbc.spring.JdbcDatastoreConfigProperties.JdbcDatastoreConfigPropertiesImpl

- All Implemented Interfaces:
    com.holonplatform.core.config.ConfigPropertySet, com.holonplatform.core.datastore.DataContextBound, JdbcDatastoreConfigProperties
  Enclosing interface:
    JdbcDatastoreConfigProperties

      public static class JdbcDatastoreConfigProperties.JdbcDatastoreConfigPropertiesImpl
      extends com.holonplatform.core.internal.config.DefaultConfigPropertySet
      implements JdbcDatastoreConfigProperties

  Default implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `com.holonplatform.core.internal.config.DefaultConfigPropertySet.DefaultBuilder<C extends com.holonplatform.core.config.ConfigPropertySet>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.spring.JdbcDatastoreConfigProperties

      `JdbcDatastoreConfigProperties.JdbcDatastoreConfigPropertiesImpl`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `com.holonplatform.core.config.ConfigPropertySet.Builder<C extends com.holonplatform.core.config.ConfigPropertySet>, com.holonplatform.core.config.ConfigPropertySet.ConfigurationException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.datastore.jdbc.spring.JdbcDatastoreConfigProperties

      `DEFAULT_NAME, IDENTIFIER_RESOLUTION_STRATEGY, PLATFORM, PRIMARY, TRANSACTIONAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcDatastoreConfigPropertiesImpl(String dataContextId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getDataContextId()`

    - ### Methods inherited from class com.holonplatform.core.internal.config.DefaultConfigPropertySet

      `addAliasName, addPropertyProvider, getConfigPropertyName, getConfigPropertyValue, getName, getSubPropertiesUsingPrefix, hasConfigProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.spring.JdbcDatastoreConfigProperties

      `builder, builder`

    - ### Methods inherited from interface com.holonplatform.core.config.ConfigPropertySet

      `getConfigPropertyName, getConfigPropertyValue, getConfigPropertyValue, getConfigPropertyValueOrElse, getName, getSubPropertiesUsingPrefix, hasConfigProperty`

- - ### Constructor Detail

    - #### JdbcDatastoreConfigPropertiesImpl

          public JdbcDatastoreConfigPropertiesImpl(String dataContextId)

  - ### Method Detail

    - #### getDataContextId

          public Optional<String> getDataContextId()

      Specified by:
        `getDataContextId` in interface `com.holonplatform.core.datastore.DataContextBound`

Copyright © 2019 The Holon Platform. All rights reserved.